Download it now!
Bug 99818 - EDITING: unformatted paste incorrectly grayed (no steps)
Summary: EDITING: unformatted paste incorrectly grayed (no steps)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.2.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 112227 131745 (view as bug list)
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2016-05-13 07:22 UTC by yolo
Modified: 2020-10-26 10:33 UTC (History)
13 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description yolo 2016-05-13 07:22:50 UTC
Copy text from
chromium-browser
GNOME Terminal Server or Konsole (for KDE)

Try to paste into LibreOffice Writer

BUG
in maybe 10% of the cases, paset unformatted text is unavailable
- control+shift+V does nothing
- menu LibreOffice - Edit - Paste Special… is gray

EXPECTED
control+shift+V or Edit - Paste Special… - Unformatted text to paste un-styled text

for the same copy, abiword clipboard works as expected

This bug has been present for many years.

Verified for KDE/X 16.04 and GNOME/Wayland 15.10/16.04

dpkg --status libreoffice | egrep "^(V|Pa)"
Package: libreoffice
Version: 1:5.1.2-0ubuntu1
Comment 1 Buovjaga 2016-05-15 15:54:52 UTC
You don't have an example text that shows the problem every time?
Comment 2 yolo 2016-05-15 20:03:50 UTC
The bug does not happen every time.

If anyone would regularly use GNOME or KDE on X or Wayland to copy from terminal window or browser to LibreOffice, they will find it within a day.

This has been present for many years, and I have seen people blame X or chromimum-browser.

By using abiword, that also acts differently whether there is styled or unstyled text on the clipboard, I could confirm that the bug is in LibreOffice Writer.

The code that fails is to determine what is on the X clipboard. For styled text, LibreOffice occasionally behave like the clipboard holds unstyled text.

To try out this difference, paste a text selected from a Web page as opposed to from an unstyled source like the gEdit or Kate text editors.
Comment 3 yolo 2016-05-15 20:07:42 UTC
It does not appear that the bug depends on the particular text content, since copying from the terminal window produces different texts but in an identical styling environment.
Comment 4 yolo 2016-05-15 20:25:19 UTC
IMPACT
The first impact is inconvenience, because a habitual control+shift+V occasionally does not work

The second is that when this bug happens, text cannot be pasted without styling.
The user is therefore forced to paste the text into an unstyled source like gEdit or Kate, copy it from there, and then do a regular paste in LibreOffice.
Comment 5 yolo 2016-05-15 20:25:55 UTC
AFFECTED
I believe this bug affects all Linux users of LibreOffice
Comment 6 yolo 2016-05-15 22:15:00 UTC
Actually, it seems to be that the code that detects clipboard format is not run when LibreOffice is again brought to front

- copy a text from gEdit/Kate
- Examine Edit menu: Paste special gray
- copy text from styled source
- Examine Edit menu: Paste special gray BUG!!
open a new Libreoffice window using control+N
- Examine Edit menu: Paste special now available
Comment 7 Buovjaga 2016-05-17 19:07:10 UTC
(In reply to yolo from comment #6)
> Actually, it seems to be that the code that detects clipboard format is not
> run when LibreOffice is again brought to front
> 
> - copy a text from gEdit/Kate
> - Examine Edit menu: Paste special gray
> - copy text from styled source
> - Examine Edit menu: Paste special gray BUG!!
> open a new Libreoffice window using control+N
> - Examine Edit menu: Paste special now available

No problem here.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.2.0.0.alpha1+
Build ID: 1dbdc947fcc9d843764731e6dae7ce60082576e0
CPU Threads: 8; OS Version: Linux 4.5; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Built on May 14th 2016
Comment 8 Mike A. Harris 2016-07-14 05:29:29 UTC
I'm experiencing this very exact problem in Calc on Windows 7/x64 using version 5.1.4.2 of LibreOffice.  It is 100% reproduceable for me.

I have a spreadsheet open, I go to a web page in Firefox 47.0.1 or Thunderbird HTML email or any other HTML or RTF source and highlight a few words or a sentence or more, switch back to LibreOffice Calc and right click to paste-special and remove the formatting.  When I do this sometimes it just works no problem, other times all of the paste options are either missing entirely from the right click context menu or they're greyed out.  If it is bugging out and anything shows it is "Paste Only" and it says greyed out in the submenu off of that "<No selection possible>".  If I then save my document, exit Calc completely, reopen calc and reload the same document - without modifying the clipboard, then right click into the same cell, magically all of the paste options show up again and it works.

At that point I might be able to copy and paste a few more things from Firefox/Thunderbird etc. and have it work, or it will do it again after a few more pastes completely at random.  Save+exit+restart+reload and right click fixes it every time.

Like someone mentioned above, I've found via testing that if I paste the text into Notepad on Windows first, then re-highlight it in Notepad and try to right-click paste it into Calc it will work fine.

Additionally, when the problem described occurs and all of the paste options are greyed out and/or non-functional on the context menu and top pulldown menus - CTRL-V still works even though Paste is greyed out.  But by "works" I mean it pastes rich text into the document and it always has randomly different results that seem to have no pattern.

In all cases, saving and exiting and reloading solves all of the cut and paste problems for at least one single paste for sure, and maybe 2-3 if I get lucky.
Comment 9 yolo 2016-09-20 14:09:06 UTC
New Get-Around for this truly present bug that had no activity for 2 months:

When Paste Special… is incorrectly gray preventing pasting of unstyled text

Open a dialog, say File - Open… and close the dialog by clicking Cancel

tada: Paste Special… is now available!

A similar problem exists with Find control+f
Comment 10 yolo 2016-09-20 14:10:22 UTC
This bug affects multiple poeple
Comment 11 yolo 2016-09-20 14:22:19 UTC
Similar to bug 102311
Comment 12 yolo 2016-09-20 14:29:54 UTC
In regards to the "No problem here." comment above

This does not happen every time. As I noted to me it happens in approximately 10% of my paste attempts.
Comment 13 Alex Gould 2016-12-07 18:57:32 UTC
I experience this bug with LO Writer Version: 5.2.3.1, Build ID: 1:5.2.3~rc1-4 on Debian Testing, KDE environment.
Comment 14 Lorenzo 2016-12-20 22:28:57 UTC
Hi,

  I experience the same problem. Maybe even "worse". I have a text in gedit in order to be able to paste it in Impress (but I think the problem arises also in Calc and Writer). Usually I can do paste special, but some times, for no reason, it is disabled (grayed). Btw, If I paste the text from gedit with the regular paste, then I have another behaviour (for ex, in a bulleted line, it takes out the bullet). I have:

Version: 5.2.3.2
Build ID: 1:5.2.3~rc2-0ubuntu1~trusty1

uname -a
Linux 4.4.0-53-generic #74~14.04.1-Ubuntu SMP Fri Dec 2 03:43:31 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

All the best.
Comment 15 Lorenzo 2016-12-20 22:29:44 UTC
Sorry, I forgot to mention that the trick:

Open a dialog, say File - Open… and close the dialog by clicking Cancel

did not work for me.
Comment 16 QA Administrators 2018-04-28 02:32:02 UTC Comment hidden (obsolete)
Comment 17 Timur 2019-11-24 10:32:46 UTC
This (Linux originated) bug has no steps. 
Seems the same as (marked Windows) Bug 116983 that (hopefully) has steps.
Now that related, they may remain open until we have some change.
Comment 18 Timur 2019-12-10 18:01:50 UTC
*** Bug 112227 has been marked as a duplicate of this bug. ***
Comment 19 Timur 2020-06-26 16:33:40 UTC
Hi yolo, Alex, Lorenzo ,Raúl.
Paste bugs are very annoying and we have many reports on that. Few of us in QA were able to repro Win but not Lin.
There's a possibility that Windows paste issue is resolved in master 7.1+.
So I ask you to retest this bug in Linux with master from https://dev-builds.libreoffice.org/daily/master/current.html.
It takes some time but it's separate to working LO and can be removed.
Please keep in mind bug description for Windows, so to test both toolbar and shortcuts: 
"Paste is sometimes deactivated/greyed in the toolbar and context menu and Paste Special with CTRL+SHIFT+V isn't working. 
Text is copied to clipboard and CTRL+V and CTRL+ALT+SHIFT+V are functioning."
Comment 20 Timur 2020-06-26 16:39:09 UTC
*** Bug 131745 has been marked as a duplicate of this bug. ***
Comment 21 Timur 2020-06-26 16:49:31 UTC
I also added Kevin, Mathias, McAaron, Camille, Kami, Mark, Anna for Linux, which makes 10 users that I hope will respond. So I set this as Linux only. 
Please retest per previous message, testing toolbar, right-click menu and all shortcuts.
Comment 22 bugzilla 2020-09-03 01:19:06 UTC Comment hidden (obsolete)
Comment 23 Timur 2020-09-03 05:50:44 UTC
(In reply to bugzilla from comment #22)
> The bug persists with LibreOffice 5.1.6.2.
5.1.6.2 is very old and not relevant. Please test in current LO 7.0 and better in dev master 7.1+, as asked in comment 19.
Comment 24 bugzilla 2020-09-03 06:43:46 UTC Comment hidden (obsolete)
Comment 25 Buovjaga 2020-09-03 13:03:27 UTC Comment hidden (obsolete)
Comment 26 Timur 2020-09-29 06:30:17 UTC
(In reply to Buovjaga from comment #25)
> (In reply to bugzilla from comment #24)
> > 5.1.6.2 may not be relevant for you, but it is relevant for many users, as
> > it is the version that comes with Linux Mint 18.3 - a Long Term Support
> > release, supported until 2021.
> 
> You can test easily by using an appimage:
> https://libreoffice.soluzioniopen.com/

That comment is contrary to the organization of LO project. LO has lifecycle and only current versions are maintained, per https://wiki.documentfoundation.org/ReleasePlan. There's 6.4.7 left and than it's over for 6.4, remains 7.0 etc.
If someone wants to use 5.1 OK, just pay for enterprise support. 
Very easy to add PPA or install newer LO otherwise in Mint/Ubuntu.
All in all, this comment is of no value and disregarding respect for all LO volunteers who triage or fix bugs, and even other users who have this same problem - including myself. 
Please do not respond, unless you do as advised, test daily master LO 7.1+ to see if problem was resolved in it, as I noticed, but wasn't confirmed so far, because some users were still able to reproduce.
Comment 27 Timur 2020-10-26 10:33:43 UTC
*** Bug 128298 has been marked as a duplicate of this bug. ***